SuperSonicDeserializerBuilder (Jackson module: Afterburner 2.14.0 API)

com.fasterxml.jackson.module.afterburner.deser

## Class SuperSonicDeserializerBuilder

- java.lang.Object
- - com.fasterxml.jackson.databind.deser.BeanDeserializerBuilder
  - - com.fasterxml.jackson.module.afterburner.deser.SuperSonicDeserializerBuilder

-     public class SuperSonicDeserializerBuilder
      extends com.fasterxml.jackson.databind.deser.BeanDeserializerBuilder

- - ### Field Summary

    - ### Fields inherited from class com.fasterxml.jackson.databind.deser.BeanDeserializerBuilder

      `_anySetter, _backRefProperties, _beanDesc, _builderConfig, _buildMethod, _config, _context, _ignorableProps, _ignoreAllUnknown, _includableProps, _injectables, _objectIdReader, _properties, _valueInstantiator`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SuperSonicDeserializerBuilder(com.fasterxml.jackson.databind.deser.BeanDeserializerBuilder base)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `com.fasterxml.jackson.databind.JsonDeserializer<?>` | `build()`

    - ### Methods inherited from class com.fasterxml.jackson.databind.deser.BeanDeserializerBuilder

      `_collectAliases, _findCaseInsensitivity, _fixAccess, _handleBadAccess, addBackReferenceProperty, addCreatorProperty, addIgnorable, addIncludable, addInjectable, addOrReplaceProperty, addProperty, buildAbstract, buildBuilderBased, createBuilderBasedDeserializer, findProperty, getAnySetter, getBuilderConfig, getBuildMethod, getInjectables, getObjectIdReader, getProperties, getValueInstantiator, hasIgnorable, hasProperty, removeProperty, setAnySetter, setIgnoreUnknownProperties, setObjectIdReader, setPOJOBuilder, setValueInstantiator`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SuperSonicDeserializerBuilder

          public SuperSonicDeserializerBuilder(com.fasterxml.jackson.databind.deser.BeanDeserializerBuilder base)

  - ### Method Detail

    - #### build

          public com.fasterxml.jackson.databind.JsonDeserializer<?> build()
                                                                   throws com.fasterxml.jackson.databind.JsonMappingException

      Overrides:
        `build` in class `com.fasterxml.jackson.databind.deser.BeanDeserializerBuilder`
      Throws:
        `com.fasterxml.jackson.databind.JsonMappingException`

Copyright © 2022 FasterXML. All rights reserved.